[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Menus' (#lcl)

# TMenuItems.Notify

Notifies the parent and the merged menu item that a child menu item has been added, extracted, or deleted.

## Declaration

Source position: menus.pp line 144

`protected procedure TMenuItems.Notify(`
`Ptr: Pointer;`
`Action: TListNotification`
`); override;`

## Arguments

`Ptr` |  | Not used in the current implementation.
`Action` |  | Not used in the current implementation.

## Description

The parent menu item calls its InvalidateMergedItems method to free the merged items. If the parent has an assigned MergeWith menu item, its InvalidateMergedItems is called as well. The CheckChildHandles method in the MergeWith menu item is called to free or re-create handles for the child menu items as needed.